Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.jems.hibernate
Class SessionFactoryBinder

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.jems.hibernate.SessionFactoryBinder

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, HibernateProvider, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class SessionFactoryBinder

extends AbstractJBossService
implements HibernateProvider

Configures and binds the hibernate session factory.

Version:
  $Revision: 11473 $
Author:
  Julien Viet, Boleslaw Dawidowicz

Field Summary
`protected org.hibernate.cfg.Configuration` | `config` The hibernate configuration object.
`protected java.lang.String` | `jndiName`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`SessionFactoryBinder()`

Method Summary
`void` | `createContent()`
`void` | `createSchema()`
`protected void` | `createService()` During this step the hibernate configuration is created.
`protected void` | `createSessionFactory()` Create the session factory.
`void` | `destroySchema()`
`protected void` | `destroyService()` During this step the hibernate config is unreferenced.
`protected void` | `destroySessionFactory()` Close the session factory if it is not null.
`int` | `doCheck()`
`org.hibernate.cfg.Configuration` | `getConfig()`
`java.lang.String` | `getConfigLocation()`
`java.net.URL` | `getConfigURL()`
`java.lang.String` | `getDialectName()`
`boolean` | `getDoChecking()`
`java.lang.String` | `getJNDIName()`
`org.hibernate.SessionFactory` | `getSessionFactory()`
`java.lang.String` | `getSetupLocation()`
`org.jboss.portal.common.util.LoaderResource` | `getSetupResource()`
`void` | `setConfigLocation(java.lang.String configLocation)`
`void` | `setDoChecking(boolean doChecking)`
`void` | `setJNDIName(java.lang.String jndiName)`
`void` | `setSetupLocation(java.lang.String setupLocation)`
`protected void` | `startService()` During this step the session factory is created and the content creation is triggered.
`protected void` | `stopService()` During this step the session factory is destroyed.
`void` | `updateSchema()`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected org.hibernate.cfg.Configuration config

  The hibernate configuration object.

### jndiName

    protected java.lang.String jndiName

Constructor Detail

### SessionFactoryBinder

    public SessionFactoryBinder()

Method Detail

### getDoChecking

    public boolean getDoChecking()

### setDoChecking

    public void setDoChecking(boolean doChecking)

### getConfigLocation

    public java.lang.String getConfigLocation()

### setConfigLocation

    public void setConfigLocation(java.lang.String configLocation)

### getSetupLocation

    public java.lang.String getSetupLocation()

### setSetupLocation

    public void setSetupLocation(java.lang.String setupLocation)

### getConfigURL

    public java.net.URL getConfigURL()

### getSetupResource

    public org.jboss.portal.common.util.LoaderResource getSetupResource()

### getConfig

    public org.hibernate.cfg.Configuration getConfig()

  Specified by:
    `getConfig` in interface `HibernateProvider`

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

  Specified by:
    `getSessionFactory` in interface `HibernateProvider`

### getDialectName

    public java.lang.String getDialectName()

### getJNDIName

    public java.lang.String getJNDIName()

### setJNDIName

    public void setJNDIName(java.lang.String jndiName)

### createService

    protected void createService()
                          throws java.lang.Exception

  During this step the hibernate configuration is created.

  Overrides:
    `createService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### startService

    protected void startService()
                         throws java.lang.Exception

  During this step the session factory is created and the content creation is triggered.

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stopService

    protected void stopService()
                        throws java.lang.Exception

  During this step the session factory is destroyed.

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### destroyService

    protected void destroyService()
                           throws java.lang.Exception

  During this step the hibernate config is unreferenced.

  Overrides:
    `destroyService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### doCheck

    public int doCheck()

### createSchema

    public void createSchema()

### destroySchema

    public void destroySchema()

### createContent

    public void createContent()

### updateSchema

    public void updateSchema()

### createSessionFactory

    protected void createSessionFactory()
                                 throws java.lang.Exception

  Create the session factory.

  Throws:
    `java.lang.Exception`

### destroySessionFactory

    protected void destroySessionFactory()

  Close the session factory if it is not null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD